Bug 212112 - devel/bullet: Update to 2.83.7
Summary: devel/bullet: Update to 2.83.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords: patch
Depends on:
Blocks: 212109
  Show dependency treegraph
 
Reported: 2016-08-24 14:03 UTC by Tobias Kortkamp
Modified: 2016-09-11 17:24 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (acm)


Attachments
bullet.diff (19.62 KB, patch)
2016-08-24 14:03 UTC, Tobias Kortkamp
tobik: maintainer-approval? (acm)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2016-08-24 14:03:40 UTC
Created attachment 174016 [details]
bullet.diff

This updates Bullet to 2.83.7 which is required for having a nice time in games/openmw.

OpenMW compiles fine with 2.82 but there are runtime problems like falling through bridges into infinity etc, so it would be nice if we can update Bullet.

Poudriere testport 10.2/amd64 ok, portlint ok
Comment 1 Dmitry Marakasov freebsd_committer 2016-09-09 20:13:40 UTC
Maintainer timeout
Comment 2 commit-hook freebsd_committer 2016-09-11 17:24:09 UTC
A commit references this bug:

Author: amdmi3
Date: Sun Sep 11 17:23:41 UTC 2016
New revision: 421846
URL: https://svnweb.freebsd.org/changeset/ports/421846

Log:
  - Update to 2.83.7
  - Add license
  - Switch to options helpers

  PR:		212112
  Submitted by:	t@tobik.me
  Approved by:	maintainer timeout (acm, 2 weeks)

Changes:
  head/devel/bullet/Makefile
  head/devel/bullet/distinfo
  head/devel/bullet/files/patch-CMakeLists.txt
  head/devel/bullet/pkg-plist